ctakes-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andy McMurry <mcmurry.a...@gmail.com>
Subject Re: supported java releases in current ctakes development and future releases (3.1 and later)
Date Thu, 23 May 2013 22:35:46 GMT
Java 1.5 is end of life

UIMA will be forced to upgrade soon enough. 

Until then, the most routine problem I can think of is Class<GenericType> will have
all GenericTypes stripped once we touch UIMA type system code. 




On May 23, 2013, at 12:34 PM, Andy McMurry <mcmurry.andy@gmail.com> wrote:

> will this fit with the UIMA java compatibility? 
> 
> If so, +1 ! 
> 
> On May 23, 2013, at 11:06 AM, "Coarr, Matt" <mcoarr@mitre.org> wrote:
> 
>> I know there was a small discussion about documentation back in February about including
supported platforms in the developer guide and faq.  And I know that the ctakes 3.0 dev guide
says that ctakes 3.0 requires java 6+.
>> 
>> For new development (trunk and new ctakes releases), what's the status of supported
java platforms?
>> 
>> Java 6 hit its "end of public updates" this past February, so there will be no more
security patches.
>> 
>> Can java 7 features be used in new development?
>> 
>> Thanks,
>> Matt
> 


Mime
View raw message